Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.ejbql
Class AggregateFunction

    java.lang.Object
      org.jboss.ejb.plugins.cmp.ejbql.SimpleNode
          org.jboss.ejb.plugins.cmp.ejbql.AggregateFunction

All Implemented Interfaces:
  SelectFunction

Direct Known Subclasses:
  ASTAvg, ASTCount, ASTMax, ASTMin, ASTSum

public abstract class AggregateFunction
extends SimpleNode
implements SelectFunction

Version:
  `$Revision: 1.3 $`
Author:
  Alexey Loubyansky

Field Summary
`String` | `distinct`

Fields inherited from class org.jboss.ejb.plugins.cmp.ejbql.SimpleNode
`children, id, parent`

Constructor Summary
`AggregateFunction(int i)`

Method Summary
`protected Class` | `getDefaultResultType()`
`Object` | `readResult(ResultSet rs)` Reads results.
`void` | `setResultType(Class type)`

Methods inherited from class org.jboss.ejb.plugins.cmp.ejbql.SimpleNode
`dump, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### distinct

    public String distinct

Constructor Detail

### AggregateFunction

    public AggregateFunction(int i)

Method Detail

### setResultType

    public void setResultType(Class type)

### getDefaultResultType

    protected Class getDefaultResultType()

### readResult

    public Object readResult(ResultSet rs)
                      throws SQLException

  Description copied from interface: `SelectFunction`
  Reads results.

  Specified by:
    `readResult` in interface `SelectFunction`
  Parameters:
    `rs` - the result set to read from.
  Returns:
    the result of the function
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.